Index: /trunk/SRC/ToBeReviewed/INIT/initncdf.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/INIT/initncdf.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/INIT/initncdf.pro	(revision 142)
@@ -3,82 +3,87 @@
 ;------------------------------------------------------------
 ;+
-; NAME:initncdf
-;
-; PURPOSE:initfile for Netcdf file. define all the grid parameters
-;
-; CATEGORY:
-;
-; CALLING SEQUENCE:initncdf, ncfilename
+;
+; @file_comments
+; Initfile for Netcdf file. define all the grid parameters
+;
+; @categories
+;
 ; 
-; INPUTS:ncfilename: a string giving the name of the NetCdf file
-;
-; KEYWORD PARAMETERS:
-;
-;       GLAMBOUNDARY:a 2 elements vector, {lon1,lon2], the longitute
-;       boundaries that should be used to visualize the data.
-;         lon2 > lon1
-;         lon2 - lon1 le 360
-;       key_shift will be defined according to GLAMBOUNDARY.
-;
-;       /INVMASK: to inverse the mask: mask = 1-mask
-;
-;       IODIRECTORY;a string giving the name of iodirectory (see
-;       isafile.pro for all possibilities). default value is common 
-;       variable iodir
-;
-;       MASKNAME: a string giving the name of the variable in the file 
-;       that contains the land/sea mask
-;
-;       MISSING_VALUE: to define (or redifine if the attribute is
-;       already existing) the missing values used with USEASMASK
-;       keyword
-;
-;       /start1: index the axis from 1 instead of 0 when using
-;       /xyindex and/or zindex
-;
-;       USEASMASK: a string giving the name of the variable in the file 
-;       that will be used to build the land/sea mask. In this case the
-;       mask is based on the first record (if record dimension
-;       exists). The mask is build according to :
-;         1 the keyword missing_value if existing
-;         2 the attribute 'missing_value' if existing
-;         3 NaN values if existing
-;
-;       [XYZ]AXISNAME= a string giving the name of the variable in the file 
-;       that contains the [xyz]axis. 
-;       for X axis, default name must be 'x', 'longitude', 'nav_lon' or 'lon'.
-;       for Y axis, default name must be 'y', 'latitude', 'nav_lat' or 'lat'.
-;       for Z axis, default name must be 'z', 'level', 'lev', 'depth...'
-;
-;       [XYZ]MINMESH: to define the common variables i[xyz]minmesh
-;       used to define the grid only in a zoomed part of the original
-;       grid. Defaut values are 0L
-;
-;       [XYZ]MAXMESH: to define the common variables i[xyz]maxmesh
-;       used to define the grid only in a zoomed part of the original
-;       grid. Defaut values are jp[ijk]glo-1
-;
-;       /xyindex: to define the x/y axis with index instead of using
-;       the values contained in X/YAXISNAME. 
-;       x/yaxis = keyword_set(start1) + findgen(jpi/jpj) 
-;       this forces key_onearth = 0
-;
-;       /zindex: to define the z axis with index instead of using
-;       the values contained in ZAXISNAME. 
-;       zaxis = keyword_set(start1) + findgen(jpk) 
-;
-; OUTPUTS:none, except the grid parameters of the common.pro
-;
-; COMMON BLOCKS:common.pro
-;
-; SIDE EFFECTS:change the grid parameters of the common.pro
-;
-; RESTRICTIONS:
+; @param NCFILEIN {in}{required}
+; A string giving the name of the NetCdf file
+;
+; @keyword INVMASK
+; To inverse the mask: mask = 1-mask
+;
+; @keyword MASKNAME
+; A string giving the name of the variable in the file 
+; that contains the land/sea mask
+;
+; @keyword MISSING_VALUE
+; To define (or redifine if the attribute is
+; already existing) the missing values used with USEASMASK
+; keyword
+;
+; @keyword START1
+; Index the axis from 1 instead of 0 when using
+; /xyindex and/or zindex
+;
+; @keyword USEASMASK
+; A string giving the name of the variable in the file 
+; that will be used to build the land/sea mask. In this case the
+; mask is based on the first record (if record dimension
+; exists). The mask is build according to :
+;    1 the keyword missing_value if existing
+;    2 the attribute 'missing_value' if existing
+;    3 NaN values if existing
+;
+; @keyword XAXISNAME
+; A string giving the name of the variable in the file 
+; that contains the [xyz]axis. 
+; for X axis, default name must be 'x', 'longitude', 'nav_lon' or 'lon'.
+;      
+; @keyword YAXISNAME
+; A string giving the name of the variable in the file 
+; that contains the [xyz]axis. 
+; for Y axis, default name must be 'y', 'latitude', 'nav_lat' or 'lat'.
+;
+; @keyword ZAXISNAME
+; A string giving the name of the variable in the file 
+; that contains the [xyz]axis. 
+; for Z axis, default name must be 'z', 'level', 'lev', 'depth...'
+;
+; @keyword XYINDEX
+; To define the x/y axis with index instead of using
+; the values contained in X/YAXISNAME. 
+; x/yaxis = keyword_set(start1) + findgen(jpi/jpj) 
+; this forces key_onearth = 0
+;
+; @keyword ZINDEX
+; To define the z axis with index instead of using
+; the values contained in ZAXISNAME. 
+; zaxis = keyword_set(start1) + findgen(jpk) 
+; 
+; @keyword _EXTRA
+; Used to pass your keywords/
+;
+; @uses
+; common.pro
+;
+; @restrictions
+; Change the grid parameters of the common.pro
+;
+; @restrictions
 ; the file must contain an x and an y axis. (1 ou 2 dimentional array)
 ;
-; EXAMPLE: IDL> initncdf,'toto.nc',glam=[-180,180]
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @examples
+;  IDL> initncdf,'toto.nc',glam=[-180,180]
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                      8 May 2002
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/INIT/initncdfxxx.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/INIT/initncdfxxx.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/INIT/initncdfxxx.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 @cm_general
 
Index: /trunk/SRC/ToBeReviewed/INIT/initorca05.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/INIT/initorca05.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/INIT/initorca05.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 ;
 @cm_4mesh
Index: /trunk/SRC/ToBeReviewed/INIT/initorca2.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/INIT/initorca2.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/INIT/initorca2.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 ;
 @cm_4mesh
Index: /trunk/SRC/ToBeReviewed/INIT/initorca2full.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/INIT/initorca2full.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/INIT/initorca2full.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 ;
 @cm_4mesh
Index: /trunk/SRC/ToBeReviewed/LECTURE/binary.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/binary.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/LECTURE/binary.pro	(revision 142)
@@ -1,12 +1,13 @@
 ;+
-; Name:
-;   binary
-; Purpose:
-;   Returns the binary representation of a number of any numerical type.
-; Argument:
-;   number   scalar or array of numbers (any numerical type)
-; Returns:
-;   Byte array with binary representation of numbers.
-; Examples:
+; @file_comments
+; Returns the binary representation of a number of any numerical type.
+; 
+; @param NUMBER {in}{required}
+; scalar or array of numbers (any numerical type)
+; 
+; @Returns
+; Byte array with binary representation of numbers.
+; 
+; @Examples
 ;   Binary representation of 11b:
 ;     IDL> print, binary(11b)
@@ -25,5 +26,6 @@
 ;     alpha   vms     0fda4149 68c0a221     49 41 da 0f 21 a2 c0 68
 ;     (Beginning with IDL 5.1, Alpha VMS uses IEEE representation as well.)
-; Modification history:
+; 
+; @history:
 ;    19 Dec 1997  Originally a news posting by David Fanning.
 ;                       (Re: bits from bytes)
@@ -36,4 +38,8 @@
 ;      return exactly the same results (if IEEE).
 ;    7 May 2003     Added newish data types, unsigned and long64.  BT
+;
+; @version
+; $Id$
+;
 ;-
 function binary, number
Index: /trunk/SRC/ToBeReviewed/LECTURE/changeread.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/changeread.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/LECTURE/changeread.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 FUNCTION changeread, newread
 ;
Index: /trunk/SRC/ToBeReviewed/LECTURE/inverse_binary.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/inverse_binary.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/LECTURE/inverse_binary.pro	(revision 142)
@@ -1,32 +1,29 @@
 ;+
-; NAME: inverse_binary
 ;
-; PURPOSE: inverse function of the binary.pro function => given a
+; @file_comments
+; Inverse function of the binary.pro function => given a
 ; input array of 0/1, return its corresponding byte/integer/long
 ; representation
 ;
-; CATEGORY:
+; @categories
 ;
-; CALLING SEQUENCE: res = inverse_binary(binnum)
-;
-; INPUTS: 
-;    binnum must be a binary type array containing only 0 and 1.
-;    According to binary.pro outputs, binnum array must have the
-;    following dimensions values: (8, t, d1, d2...)
-;    t gives the output type: t = 1 -> byte
+; @param BINNUMB {in}{required}
+; Must be a binary type array containing only 0 and 1.
+; According to binary.pro outputs, binnum array must have the
+; following dimensions values: (8, t, d1, d2...)
+; t gives the output type: t = 1 -> byte
 ;                             t = 2 -> integer
 ;                             t = 4 -> long
 ;    
-;     (d1, d2...) are the output dimensions
+;  (d1, d2...) are the output dimensions
 ;
-; KEYWORD PARAMETERS: no
 ;
-; OUTPUTS: a byte/integer/long array with (d1, d2...) dimensions
+; @returns 
+; A byte/integer/long array with (d1, d2...) dimensions
 ;
-; COMMON BLOCKS: no
+; @restrictions
+; The binary number can represent only byte/integer/long
 ;
-; RESTRICTIONS:the binary number can represent only byte/integer/long
-;
-; EXAMPLE:
+; @examples
 ;
 ;     IDL> a=indgen(5)
@@ -54,7 +51,11 @@
 ;            0       1       2       3       4
 ;
-; MODIFICATION HISTORY:
+; @history
 ;      Sebastien Masson (smasson@jamstec.go.jp)
 ;      July 2004
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/LECTURE/litchamp.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/litchamp.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/LECTURE/litchamp.pro	(revision 142)
@@ -3,85 +3,84 @@
 ;------------------------------------------------------------
 ;+
-; NAME:litchamp
 ;
-; PURPOSE:permet de lire un simple tableau ou une structure
-; correspondant a un champ.
-; Si en entree on a :
-;   -un simple tableau, litchamp renvoie le tableau
-;   -une stucture, litchamp renvoie le premier element de la structure
-;   qui doit obligatoirement etre le champ sous forme d''un tableau.
-;   Au passage litchamp regarde les autres elements de la structure et
-;   met a jour si besoin les variables globales qui se rapportent au
-;   champ: vargrid, varname, varunit, vardate, varexp , valmask et time 
+; @file_comments
+; Allows to read an array or a sructure cooresponding to a field.
+; If we have in input: 
+;   -an array, litchamp send back the array.
+;   -a structure, litchamp send back the first element of the structure 
+;   which must be the field in an array.
+;   Litchamp profit of this to look other elements of the structure et
+;   update if needed global variables which refer to the field:
+;   vargrid, varname, varunit, vardate, varexp , valmask et time 
 ;
-; CATEGORY:permet d''appeler plt, pltz, pltt ... avec un tableau ou une
-; structure et de mettre a jour les variables globales liees au champ. 
+; @categories
+; graphic
 ;
-; CALLING SEQUENCE:res=litchamp(struct)
+; @param STRUCT {in}{required}
+; It is either an array or a structure.
+;  If STRUCT is a structure, it must follow following rules:
+;        -the first element is the array containing the field.
+;        -other elements are strings containing informations on the field exept
+;        for the one about the date. This one can be either a string to designate
+;        a particular date (ex: 'August 1999') or a vector of julian days (of IDL)
+;        corresponding  to the calendar to be associated with the field if it is a
+;        temporal series.
+;        -the order of elements (exept the first) has not any importance. 
+;        -the other elements (exept the first) are optional.
+;        -they are recognize by the first letter of their names:
+;             g  to update vargrid
+;             u  to update varunit
+;             e  to update varexp
+;             d  to update vardate
+;             n  to update varname
+;             m  to update valmask
 ;
-; INPUTS:
-;        struct: c''est soit un tableau soit une structure.
-;    Si struct est une structure, elle doit suivre les regles
-;    suivantes:
-;        -le premier element est le tableau contenant le champ.
-;        -les autres elements sont des strings qui contiennent des
-;        informations sur le champ SAUF pour l''element relatif a
-;        date. Ce dernier peut etre soit un string pour designer une date
-;        particuliere (ex: 'August 1999') ou bien un vecteur de jours
-;        juliens (d''IDL) correspondant au calendrier a associer au
-;        champ si c'est une serie temporelle.
-;        -l''ordre des elements (autre que le premier) n''a pas
-;        d''importance. 
-;        -les autres elements (autre que le premier) sont tous
-;        optionnels.
-;        -ils sont reconnus par la premiere lettre de leur nom:
-;             g  pour actualiser vargrid
-;             u  pour actualiser varunit
-;             e  pour actualiser varexp
-;             d  pour actualiser vardate
-;             n  pour actualiser varname
-;             m  pour actualiser valmask
+; @keyword GRID
+; We activate this keyword if we want litchamp to send back the variable 
+; associated with the element of the structure starting by 'g' if it exist 
+; and '' if it does not.
 ;
-; KEYWORD PARAMETERS:
+; @keyword UNIT
+; We activate this keyword if we want litchamp to send back the variable 
+; associated with the element of the structure starting by 'u' if it exist 
+; and '' if it does not.
 ;
-;        /GRID: activer ce mot cle si on veut que litchamp renvoie la
-;        variable associee a l''element de la structure commencant
-;        par 'g' si il existe et '' dans le cas contraire.
+; @keyword EXP
+; We activate this keyword if we want litchamp to send back the variable 
+; associated with the element of the structure starting by 'u' if it exist 
+; and '' if it does not.
 ;
-;        /UNIT: activer ce mot cle si on veut que litchamp renvoie la
-;        variable associee a l''element de la structure commencant
-;        par 'u' si il existe et '' dans le cas contraire.
+; @keyword DATE
+; We activate this keyword if we want litchamp to send back the variable 
+; associated with the element of the structure starting by 'd' if it exist 
+; and '' if it does not.
 ;
-;        /EXP: activer ce mot cle si on veut que litchamp renvoie la
-;        variable associee a l''element de la structure commencant
-;        par 'e' si il existe et '' dans le cas contraire.
+; @keyword NAME
+; We activate this keyword if we want litchamp to send back the variable 
+; associated with the element of the structure starting by 'n' if it exist 
+; and '' if it does not.
 ;
-;        /DATE: activer ce mot cle si on veut que litchamp renvoie la
-;        variable associee a l''element de la structure commencant
-;        par 'd' si il existe et '' dans le cas contraire.
+; @keyword LEVEL
+; We activate this keyword if we want litchamp to send back the variable 
+; associated with the element of the structure starting by 'l' if it exist 
+; and -1 if it does not.
+; 
 ;
-;        /NAME: activer ce mot cle si on veut que litchamp renvoie la
-;        variable associee a l''element de la structure commencant
-;        par 'n' si il existe et '' dans le cas contraire.
+; @keyword MASK
+; We activate this keyword if we want litchamp to send back the variable 
+; associated with the element of the structure starting by 'm' if it exist 
+; and -1 if it does not.
 ;
-;        /LEVEL: activer ce mot cle si on veut que litchamp renvoie la
-;        variable associee a l''element de la structure commencant
-;        par 'l' si il existe et -1 dans le cas contraire.
+; @returns
+; It is the array containing the field.
 ;
-;        /MASK: activer ce mot cle si on veut que litchamp renvoie la
-;        variable associee a l''element de la structure commencant
-;        par 'm' si il existe et -1 dans le cas contraire.
+; @uses
+; common.pro
 ;
-; OUTPUTS:c''est le tableau qui continent le champ.
+; @restrictions
+; Update if needed global variables vargrid,
+; varname, varunit, vardate, varexp, valmask and time.
 ;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS: actualise au besion les variables globales vargrid,
-; varname, varunit, vardate, varexp, valmask et time.
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
+; @examples
 ;     
 ;    IDL> print, vargrid,', ', varname,', ', varunit,', ', vardate,', ', varexp     
@@ -97,6 +96,11 @@
 ; 
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       28/5/1999
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -110,5 +114,5 @@
 @common
 ;------------------------------------------------------------
-   if size(struct, /type) ne 8 then BEGIN ; alors contour n''est pas une structure
+  if size(struct, /type) ne 8 then BEGIN ; so contour is not a structure.
       if keyword_set(grid) then return, ''
       if keyword_set(name) then return, ''
@@ -121,5 +125,5 @@
    ENDIF  
 ;------------------------------------------------------------
-   IF n_tags(struct) EQ 1 then BEGIN ; la structure n'a qu''un element
+   IF n_tags(struct) EQ 1 then BEGIN ; The structure has only one element.
       if keyword_set(grid) then return, ''
       if keyword_set(name) then return, ''
Index: /trunk/SRC/ToBeReviewed/LECTURE/ncdf_lec.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/ncdf_lec.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/LECTURE/ncdf_lec.pro	(revision 142)
@@ -3,40 +3,47 @@
 ;------------------------------------------------------------
 ;+
-; NAME:ncdflec
 ;
-; PURPOSE:donne des infos sur un fichier netcdf et permet de recupere
-; les variables qui y sont ecrites 
+; @file_comments
+; Give informations on a file net cdf and allows to recuperate 
+; variables which are write in.
 ;
-; CATEGORY:lecture de fichiers netcdf
+; @categories
+; Reading
 ;
-; CALLING SEQUENCE: res=ncdflec('nom_de _fichier')
+; @param NOM {in}{required}
+; Name of a file net cdf situated in the directory stipulated by iodir.
 ;
-; INPUTS:nom_de _fichier:nom d'un fichier net cdf situe ds e repertoire
-; stipule par iodir
+; @keyword ATT
+; 'global' or at the name of a variable. Allows to see all attributes 
+; joined at a variable
 ;
-; KEYWORD PARAMETERS:
+; @keyword DIM
+; Give the list of dimensions.
 ;
-;	ATT: 'global' ou au nom d'une variable. permet de voir tous les
-; attributs rattaches a une variable.
+; @keyword VAR
+;       1) /var: Gove the list of dimensions.
+;       2) var='nom de variable': in this case the function send back the variable.
 ;
-;	/DIM:donne la liste des dimensions
+; @keyword IODIR
+; String containing the directory containing the file to be read
 ;
-;	VAR:
-;       1) /var: donne la liste des variables
-;       2) var='nom de variable': ds ce cas la fonction retourne la variable
+; @keyword _EXTRA
+; Allows to pass keywords defined by IDL to functions NETCDF ( particularly OFFSET 
+; and COUNT in ncdf_varget)
 ;
-;       IODIR: string contenant le repertoire ou aller chercher le
-;       fichier a lire.
+; @returns
+; -1 (exept if var='nom de variable', then the function send back the variable).
 ;
-;       _EXTRA: permet de passer les mots cles definits par IDL pour
-;       les fonction NETCDF (en particulier OFFSET et COUNT ds ncdf_varget)
+; @restrictions
+; Variables's names of the program are similar to these used by the IDL manual 
+; 'scientific data formats'
 ;
-; OUTPUTS:-1 sauf si var='nom de variable' auquel cas la fonction retourne la variable
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                       4/1/98
 ;
-; REMARQUE:les noms des variables du programme sont similaires a ceux employes
-; ds le manuel IDL 'scientific data formats'
+; @version
+; $Id$
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                       4/1/98
 ;-
 ;------------------------------------------------------------
@@ -57,12 +64,12 @@
    endif
 ;------------------------------------------------------------
-; ouverture du fichier nom
+; opening of the file name.
 ;------------------------------------------------------------
    cdfid=ncdf_open(iodir+nom)
 ;------------------------------------------------------------
-; que contient le fichier??
+; Wht does the file contain??
 ;------------------------------------------------------------
    wathinside=ncdf_inquire(cdfid)
-;   print,'dans le fichier, ',iodir+nom,', il y a:'
+;   print,'in the file, ',iodir+nom,', there are:'
    if keyword_set(dim) then begin 
       print,'nombre de dimensions: ',strtrim(wathinside.ndims,1)
@@ -76,5 +83,5 @@
    endif
 ;------------------------------------------------------------
-; attributs globaux
+; Global attributes
 ;------------------------------------------------------------
    if keyword_set(att) then begin
@@ -82,6 +89,6 @@
       print,'ATTRIBUTS GLOBAUX'
       for attiq=0,wathinside.ngatts-1 do begin
-         name=ncdf_attname(cdfid,attiq,/global) ;nom de l''atribut
-         ncdf_attget,cdfid,name,value,/global ;valeur de l''atribut
+         name=ncdf_attname(cdfid,attiq,/global) ;attribute's name
+         ncdf_attget,cdfid,name,value,/global ;attribute's value
          print,name,': ',string(value)
       endfor
@@ -89,5 +96,5 @@
 nonglobal:
 ;------------------------------------------------------------
-; affichage des differentes dimensions
+; Display of different dimensions.
 ;------------------------------------------------------------
    if keyword_set(dim) then begin 
@@ -98,5 +105,5 @@
    tailledim=lonarr(wathinside.ndims)
    for dimiq=0,wathinside.ndims-1 do begin
-      ncdf_diminq,cdfid,dimiq,name,value ; nom et valeur de la dimension
+      ncdf_diminq,cdfid,dimiq,name,value ; dimension's name and value
       nomdim[dimiq]=name
       tailledim[dimiq]=value
@@ -107,21 +114,21 @@
    endfor
 ;------------------------------------------------------------
-; affichage des differentes variables
+; Display of different variables.
 ;------------------------------------------------------------
 ;
    if keyword_set(att) or keyword_set(var) then begin 
-; vature de var ? string ou 1
+; var's value? string or 1
    help, var, output = nature
    if (strpos(nature, 'STRING'))[0] NE -1 then nature = 'string' ELSE nature = '1'
-; si on doit juste lire la variable
+; If we just have to read the variable.
    if nature EQ 'string' then begin
       ncdf_varget, cdfid, var, res, _extra = ex
       GOTO, sortie
    ENDIF 
-; si c''est pour avoir des renseignements
+; If it is to have pieces of information.
    if not keyword_set(att) then att='rien'
       print, '----------------------------'
       for varid=0,wathinside.nvars-1 do begin
-         varcontent=ncdf_varinq(cdfid,varid) ; que contient la variable
+         varcontent=ncdf_varinq(cdfid,varid) ; What does variable contain??
          if strlowcase(att) eq strlowcase(varcontent.name) or keyword_set(var) $
           then begin
Index: /trunk/SRC/ToBeReviewed/LECTURE/read_ftp.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/read_ftp.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/LECTURE/read_ftp.pro	(revision 142)
@@ -1,4 +1,40 @@
+
+pro ftp_post, u, cmd, res, out=out, count=count
+  compile_opt idl2
+  if (cmd ne '') then begin
+    printf, u, cmd, format='(a)'
+;
+; comment out the following line to disable debug info
+    print, '>'+cmd
+  endif
+  if (size(out,/type) eq 0) then out='2?? *'
+  catch, err
+  if (err ne 0) then return
+  line=''
+  count=0
+  while arg_present(res) do begin
+    readf, u, line
+    if count eq 0 then res=line else res=[res,line]
+    count=count+1
+;
+; comment out the following line to disable debug info
+    print, '<'+line
+    if strmatch(line,out) then break
+  endwhile
+end
+
+pro ftp_parse_pasv, text, host, port
+  t=strtrim(text,2)
+  ind=where(strcmp(t,'227',3))
+  i=ind[0]
+  if (i ne -1) then begin
+    sub=stregex(t[i],'\([0-9,]*\)',/extract)
+    p=strsplit(strmid(sub,1,strlen(sub)-2),',',/extract)
+    p=strtrim(p,2)
+    host=p[0]+'.'+p[1]+'.'+p[2]+'.'+p[3]
+    port=256*long(p[4])+long(p[5])
+  endif
+end
 ;+
-; READ_FTP
 ;
 ; Syntax:
@@ -6,39 +42,36 @@
 ;              [,USER=string] [,PASS=string] [,/PTR]
 ;
-; Arguments
-;   remote_host - Name of the remote host (ftp server) that you want
-;                 to connect to, or a complete ftp location such as for example:
-;                      ftp://ftp.rsinc.com/pub/gzip/README.GZIP
+; @param DIR
+; Remote directory where the files reside on the ftp server
 ;
-;   directory - Remote directory where the files reside on the ftp
-;               server
+; @param FILES
+; A single filename or an array of filenames to be retrieved.
 ;
-;   files - A single filename or an array of filenames to be
-;           retrieved.
+; @keyword FILE
+; Set this keyword to make a local copy of the file to be
+; transferred.  The local file will have the same name as the
+; remote file and will be placed in the current working
+; directory.
 ;
-; Keywords
-;   FILE - Set this keyword to make a local copy of the file to be
-;          transferred.  The local file will have the same name as the
-;          remote file and will be placed in the current working
-;          directory.
+; @keyword DATA
+; Set this to a named variable that will contain either a
+; byte array or an array of pointers to byte arrays with the
+; transferred data.  If there is more than one file, an array
+; of pointers is returned, one for each file.
+; Note that when downloading large files using /FILE
+; instead will require much less memory since the entire file
+; is not stored in a variable in that case.
 ;
-;   DATA - Set this to a named variable that will contain either a
-;          byte array or an array of pointers to byte arrays with the
-;          transferred data.  If there is more than one file, an array
-;          of pointers is returned, one for each file.
-;          Note that when downloading large files using /FILE
-;          instead will require much less memory since the entire file
-;          is not stored in a variable in that case.
+; @keyword PTR
+; Set this keyword to return an array of pointers
+; even when there is only one file.
 ;
-;   PTR  - Set this keyword to return an array of pointers
-;          even when there is only one file.
+; @keyword USER
+; Specify user name to connect to server with.  Default is: anonymous.
 ;
-;   USER - Specify user name to connect to server with.  Default is:
-;          anonymous.
+; @keyword PASS
+; Specify password to use when connecting.  Default is: test@test.com.
 ;
-;   PASS - Specify password to use when connecting.  Default is:
-;          test@test.com.
-;
-; Examples of use.
+; @examples
 ; 1) Retrieve and print the contents of ftp://ftp.rsinc.com/pub/gzip/README.GZIP:
 ;   IDL> READ_FTP, 'ftp://ftp.rsinc.com/pub/gzip/README.GZIP', DATA=data
@@ -80,42 +113,12 @@
 ;   /COMPRESSED keyword.
 ;
+; @history
+;
+; @version
+; $Id$
+;
+; @todo seb: que fait-on de "syntax" au debut du header?
+; 
 ;-
-pro ftp_post, u, cmd, res, out=out, count=count
-  compile_opt idl2
-  if (cmd ne '') then begin
-    printf, u, cmd, format='(a)'
-;
-; comment out the following line to disable debug info
-    print, '>'+cmd
-  endif
-  if (size(out,/type) eq 0) then out='2?? *'
-  catch, err
-  if (err ne 0) then return
-  line=''
-  count=0
-  while arg_present(res) do begin
-    readf, u, line
-    if count eq 0 then res=line else res=[res,line]
-    count=count+1
-;
-; comment out the following line to disable debug info
-    print, '<'+line
-    if strmatch(line,out) then break
-  endwhile
-end
-
-pro ftp_parse_pasv, text, host, port
-  t=strtrim(text,2)
-  ind=where(strcmp(t,'227',3))
-  i=ind[0]
-  if (i ne -1) then begin
-    sub=stregex(t[i],'\([0-9,]*\)',/extract)
-    p=strsplit(strmid(sub,1,strlen(sub)-2),',',/extract)
-    p=strtrim(p,2)
-    host=p[0]+'.'+p[1]+'.'+p[2]+'.'+p[3]
-    port=256*long(p[4])+long(p[5])
-  endif
-end
-
 pro read_ftp, site, files, dir, port, data=data, file=file, user=user, $
               pass=pass, ptr=ptr
Index: /trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro	(revision 142)
@@ -3,5 +3,4 @@
 ;------------------------------------------------------------
 ;+
-; NAME: read_ncdf
 ;
 ; PURPOSE:fonction de lecture pour fichier net_cdf.
Index: /trunk/SRC/ToBeReviewed/LECTURE/read_ncdf_varget.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/read_ncdf_varget.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/LECTURE/read_ncdf_varget.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 ; le format netcdf et IDL nous permet d''aller lire uniquement la partie de
 ; tableau qui nous interesse.
